Authentication provides the mechanism to obtain an access token required to interact with the Conomy API.

All API requests must be authenticated using a Bearer token. To get a token, exchange your API credentials via the authentication endpoint. Tokens are time-limited and should be refreshed as needed.

Use the Authentication API to obtain access tokens before making any other API calls.

Endpoints
POST /auth

Authentication

post

Authenticates a client application and returns an access token.

Header parameters
x-api-keystringRequired

The API key used for authentication when making requests to the API Gateway.

User-AgentstringOptional

Identifies the application making the request.

Body
clientIdstringRequired

The unique identifier assigned to the client requesting authentication.

clientSecretstringRequired

The secret key associated with the client ID

Responses
chevron-right
200

Request processed successfully.

application/json
accessTokenstringRequired

The JWT (JSON Web Token) issued. It is used to authorize API requests.

tokenTypestringRequired

ndicates the type of token issued.

expiresInnumberRequired

The duration (in seconds) for which the access token remains valid before it expires.

post
/auth

Last updated